/*********************************************************************
*               SEGGER MICROCONTROLLER GmbH & Co KG                  *
*       Solutions for real time microcontroller applications         *
**********************************************************************
*                                                                    *
*       (c) 1995 - 2008  SEGGER Microcontroller GmbH & Co KG         *
*                                                                    *
*       www.segger.com     Support: support@segger.com               *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS * Real time operating system for microcontrollers      *
*                                                                    *
*                                                                    *
*       Please note:                                                 *
*                                                                    *
*       Knowledge of this file may under no circumstances            *
*       be used to write a similar product or a real-time            *
*       operating system for in-house use.                           *
*                                                                    *
*       Thank you for your fairness !                                *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS version: 3.62c                                         *
*                                                                    *
**********************************************************************

----------------------------------------------------------------------
File    : CFM_Config.c                                for ColdFire CPU

Purpose : Initializes Flash module for Coldfire CPUs
--------  END-OF-HEADER  ---------------------------------------------
*/

/*********************************************************************
*
*       CFM Configuration field
*
*  This field needs to be located at addr. 0x400 for a flash target.
*  The CFM module loads the values at RESET release into the registers.
*  If this is not placed at 0x400, your code will most likely not function.
*  For more details, refer to the user manual on CFM.
*
*  The CFMCONFIG bytes are located in the startup files which come with embOS
*  For a convenient setting of specific values, this source file may be used
*  and included into the project.
*  In this case, the NO_CFM_CONFIG_IN_STARTUP may be set as project option
*  for the assembler to exclude the section from the startup file.
*  Alternatively, the startup file may be modified.
*/
typedef struct {
  unsigned BackdoorKey0;
  unsigned BackdoorKey1;
  unsigned Prot;
  unsigned sar;
  unsigned dar;
  unsigned Security;
} CFM;

#pragma location="CFMCONFIG"     // Take care that the link file places this segment @ 0x400 -0x417
__root const CFM cfm = {0,0,0,0,0,0};


/*****  End of file  ************************************************/
